# FoundationClasses
TKMath
TColgp

# TColgp_Array2OfPnt2d Class Reference

`#include <TColgp_Array2OfPnt2d.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColgp_Array2OfPnt2d (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | TColgp_Array2OfPnt2d (const gp_Pnt2d &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const gp_Pnt2d &V)
Standard_EXPORT void | Destroy ()
| ~TColgp_Array2OfPnt2d ()
Standard_EXPORT const TColgp_Array2OfPnt2d & | Assign (const TColgp_Array2OfPnt2d &Other)
const TColgp_Array2OfPnt2d & | operator= (const TColgp_Array2OfPnt2d &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const gp_Pnt2d &Value)
const gp_Pnt2d & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const gp_Pnt2d & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
gp_Pnt2d & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
gp_Pnt2d & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Private Member Functions

Standard_EXPORT | TColgp_Array2OfPnt2d (const TColgp_Array2OfPnt2d &AnArray)
Standard_EXPORT void | Allocate ()

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT TColgp_Array2OfPnt2d::TColgp_Array2OfPnt2d | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT TColgp_Array2OfPnt2d::TColgp_Array2OfPnt2d | ( | const gp_Pnt2d & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

TColgp_Array2OfPnt2d::~TColgp_Array2OfPnt2d | ( |  | ) | `[inline]`

Standard_EXPORT TColgp_Array2OfPnt2d::TColgp_Array2OfPnt2d | ( | const TColgp_Array2OfPnt2d & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TColgp_Array2OfPnt2d::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const TColgp_Array2OfPnt2d& TColgp_Array2OfPnt2d::Assign | ( | const TColgp_Array2OfPnt2d & | Other | ) |

gp_Pnt2d& TColgp_Array2OfPnt2d::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer TColgp_Array2OfPnt2d::ColLength | ( |  | ) | const

Standard_EXPORT void TColgp_Array2OfPnt2d::Destroy | ( |  | ) |

Standard_EXPORT void TColgp_Array2OfPnt2d::Init | ( | const gp_Pnt2d & | V | ) |

Standard_Integer TColgp_Array2OfPnt2d::LowerCol | ( |  | ) | const

Standard_Integer TColgp_Array2OfPnt2d::LowerRow | ( |  | ) | const

void TColgp_Array2OfPnt2d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColgp_Array2OfPnt2d::operator new | ( | size_t | size | ) | `[inline]`

void* TColgp_Array2OfPnt2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

gp_Pnt2d& TColgp_Array2OfPnt2d::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const gp_Pnt2d& TColgp_Array2OfPnt2d::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const TColgp_Array2OfPnt2d& TColgp_Array2OfPnt2d::operator= | ( | const TColgp_Array2OfPnt2d & | Other | ) | `[inline]`

Standard_Integer TColgp_Array2OfPnt2d::RowLength | ( |  | ) | const

void TColgp_Array2OfPnt2d::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const gp_Pnt2d & | Value
| ) |

Standard_Integer TColgp_Array2OfPnt2d::UpperCol | ( |  | ) | const

Standard_Integer TColgp_Array2OfPnt2d::UpperRow | ( |  | ) | const

const gp_Pnt2d& TColgp_Array2OfPnt2d::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address TColgp_Array2OfPnt2d::myData `[private]`

Standard_Boolean TColgp_Array2OfPnt2d::myDeletable `[private]`

Standard_Integer TColgp_Array2OfPnt2d::myLowerColumn `[private]`

Standard_Integer TColgp_Array2OfPnt2d::myLowerRow `[private]`

Standard_Integer TColgp_Array2OfPnt2d::myUpperColumn `[private]`

Standard_Integer TColgp_Array2OfPnt2d::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- TColgp_Array2OfPnt2d.hxx